package com.nisum.attendance.attendance.service;

import com.nisum.attendance.attendance.model.Attendance;
import com.nisum.attendance.attendance.repository.AttendanceRepository;
import com.sun.org.apache.xpath.internal.operations.Bool;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Hashtable;
import java.util.List;
import java.util.Optional;

@Service
public class AttendanceService {
    @Autowired AttendanceRepository attendanceRepository;

    public List<Attendance> findAllAttendance() {
        return attendanceRepository.findAll();
    }

    public Attendance getAttendanceById(Long attendanceId) {
        return attendanceRepository.findById(attendanceId).get();
    }

    public Attendance addAttendance(Attendance attendance) {
        return attendanceRepository.save(attendance);
    }

    public Attendance updateAttendance(Long attendanceId, Attendance attendanceDetails) {
        Attendance attendance = getAttendanceById(attendanceId);
        attendance.setAttendanceDate(attendanceDetails.getAttendanceDate());
        attendance.setDidAttend(attendanceDetails.getDidAttend());
        return attendanceRepository.save(attendance);
    }
}
